
From: Christoph Lameter <clameter@engr.sgi.com>

Nasty problem with preemption on ia64 related to ia64_is_local_fpu_owner():

Keith Owens <kaos@sgi.com> wrote:
>
> The entire fpu load/restore logic on ia64 needs reviewing
> for preemption.  There is an implicit assumption that the fpu state is
> atomically saved and restored on the current cpu, while under the
> control of psr->mfh.  Preempt has the potential to migrate a task while
> it is in the middle of save/restore fpu, breaking that assumption.
> Other ia64 register save/restore code might have similar problems.
> 

So let's disable ia64 preempt for 2.6.12.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ia64/Kconfig~ia64-disable-preempt arch/ia64/Kconfig
--- 25/arch/ia64/Kconfig~ia64-disable-preempt	2005-06-06 00:11:52.000000000 -0700
+++ 25-akpm/arch/ia64/Kconfig	2005-06-06 00:11:52.000000000 -0700
@@ -285,7 +285,7 @@ config SCHED_SMT
 	  overhead in some places. If unsure say N here.
 
 config PREEMPT
-	bool "Preemptible Kernel"
+	default n
         help
           This option reduces the latency of the kernel when reacting to
           real-time or interactive events by allowing a low priority process to
_
